/*
  input.h - Definitions for input.c
  Written by Stefan Pfeiffer, DL1ELY, 940405
  Last Modification: 960105
  (C) 1994 by Stefan Pfeiffer, DL1ELY
*/  

#ifndef INPUT_H

#define INPUT_H

#include "global.h"
#include "secmem.h"

struct fentry
{
  char dir;
  char name[13];
};

#define INSERT       1
#define OVERWRITE    0
#define DO_TAB       2
#define UPCASE       4
#define CALL_CONVERT 8
#define DIGITS_ONLY 16
#define AUTO_JUMP   32

#define TAB        100
#define BACKTAB    101

extern uchar menucol;
extern uchar activebuttoncol;
extern uchar passivebuttoncol;



int input_string(uchar, uchar, uchar, uchar, uchar, uchar, pchar);

void ok_box(pchar, pchar);
uchar ok_abort_box(pchar, pchar);
uchar yes_no_box(pchar, pchar);

void *make_win(uchar, uchar, uchar, uchar, uchar);

void paint_but(uchar, uchar, pchar, uchar, uchar);

void paint_bar(unsigned  long);
void init_bar(uchar, uchar, unsigned long );

char file_select(pchar, uchar, uchar);

#endif

